<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Tue Apr 28 15:50:11 CEST 2020 -->
<title>MMActivities</title>
<meta name="date" content="2020-04-28">
<link rel="stylesheet" type="text/css" href="../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="MMActivities";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6,"i8":6,"i9":6,"i10":6,"i11":6,"i12":6,"i13":6,"i14":6,"i15":6,"i16":6,"i17":6,"i18":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/MMActivities.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.Literals.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.MaintenanceMonitoring"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/Repair.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.MaintenanceMonitoring"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MMActivities.html" target="_top">Frames</a></li>
<li><a href="MMActivities.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.polarsys.chess.chessmlprofile.Dependability.StateBased.MaintenanceMonitoring</div>
<h2 title="Interface MMActivities" class="title">Interface MMActivities</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd>org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier</dd>
</dl>
<dl>
<dt>All Known Subinterfaces:</dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/ErrorDetection.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.MaintenanceMonitoring">ErrorDetection</a>, <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/FailureDetection.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.MaintenanceMonitoring">FailureDetection</a>, <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/Repair.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.MaintenanceMonitoring">Repair</a>, <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/Replace.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.MaintenanceMonitoring">Replace</a></dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/impl/ErrorDetectionImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.StateBased.MaintenanceMonitoring.impl">ErrorDetectionImpl</a>, <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/impl/FailureDetectionImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.StateBased.MaintenanceMonitoring.impl">FailureDetectionImpl</a>, <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/impl/MMActivitiesImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.StateBased.MaintenanceMonitoring.impl">MMActivitiesImpl</a>, <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/impl/RepairImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.StateBased.MaintenanceMonitoring.impl">RepairImpl</a>, <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/impl/ReplaceImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.StateBased.MaintenanceMonitoring.impl">ReplaceImpl</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">MMActivities</span>
extends org.eclipse.emf.ecore.EObject</pre>
<div class="block"><!-- begin-user-doc -->
 A representation of the model object '<em><b>MM Activities</b></em>'.
 <!-- end-user-doc -->

 <p>
 The following features are supported:
 </p>
 <ul>
   <li><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MMActivities.html#getBase_Activity--"><code><em>Base Activity</em></code></a></li>
   <li><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MMActivities.html#getWhen--"><code><em>When</em></code></a></li>
   <li><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MMActivities.html#getDuration--"><code><em>Duration</em></code></a></li>
   <li><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MMActivities.html#getProbSuccess--"><code><em>Prob Success</em></code></a></li>
   <li><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MMActivities.html#getOnCompletion--"><code><em>On Completion</em></code></a></li>
   <li><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MMActivities.html#getOnSuccessfulCompletion--"><code><em>On Successful Completion</em></code></a></li>
   <li><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MMActivities.html#getOnFailedCompletion--"><code><em>On Failed Completion</em></code></a></li>
   <li><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MMActivities.html#getBase_Action--"><code><em>Base Action</em></code></a></li>
 </ul></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#getMMActivities--"><code>MaintenanceMonitoringPackage.getMMActivities()</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.Action</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MMActivities.html#getBase_Action--">getBase_Action</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Base Action</b></em>' reference.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.Activity</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MMActivities.html#getBase_Activity--">getBase_Activity</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Base Activity</b></em>' reference.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MMActivities.html#getDuration--">getDuration</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Duration</b></em>' attribute.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.Activity&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MMActivities.html#getOnCompletion--">getOnCompletion</a></span>()</code>
<div class="block">Returns the value of the '<em><b>On Completion</b></em>' reference list.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.Activity</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MMActivities.html#getOnCompletion-java.lang.String-">getOnCompletion</a></span>(java.lang.String&nbsp;name)</code>
<div class="block">Retrieves the first <code>Activity</code> with the specified '<em><b>Name</b></em>' from the '<em><b>On Completion</b></em>' reference list.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.Activity</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MMActivities.html#getOnCompletion-java.lang.String-boolean-">getOnCompletion</a></span>(java.lang.String&nbsp;name,
               boolean&nbsp;ignoreCase)</code>
<div class="block">Retrieves the first <code>Activity</code> with the specified '<em><b>Name</b></em>' from the '<em><b>On Completion</b></em>' reference list.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.Activity&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MMActivities.html#getOnFailedCompletion--">getOnFailedCompletion</a></span>()</code>
<div class="block">Returns the value of the '<em><b>On Failed Completion</b></em>' reference list.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.Activity</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MMActivities.html#getOnFailedCompletion-java.lang.String-">getOnFailedCompletion</a></span>(java.lang.String&nbsp;name)</code>
<div class="block">Retrieves the first <code>Activity</code> with the specified '<em><b>Name</b></em>' from the '<em><b>On Failed Completion</b></em>' reference list.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.Activity</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MMActivities.html#getOnFailedCompletion-java.lang.String-boolean-">getOnFailedCompletion</a></span>(java.lang.String&nbsp;name,
                     boolean&nbsp;ignoreCase)</code>
<div class="block">Retrieves the first <code>Activity</code> with the specified '<em><b>Name</b></em>' from the '<em><b>On Failed Completion</b></em>' reference list.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.Activity&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MMActivities.html#getOnSuccessfulCompletion--">getOnSuccessfulCompletion</a></span>()</code>
<div class="block">Returns the value of the '<em><b>On Successful Completion</b></em>' reference list.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.Activity</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MMActivities.html#getOnSuccessfulCompletion-java.lang.String-">getOnSuccessfulCompletion</a></span>(java.lang.String&nbsp;name)</code>
<div class="block">Retrieves the first <code>Activity</code> with the specified '<em><b>Name</b></em>' from the '<em><b>On Successful Completion</b></em>' reference list.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.Activity</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MMActivities.html#getOnSuccessfulCompletion-java.lang.String-boolean-">getOnSuccessfulCompletion</a></span>(java.lang.String&nbsp;name,
                         boolean&nbsp;ignoreCase)</code>
<div class="block">Retrieves the first <code>Activity</code> with the specified '<em><b>Name</b></em>' from the '<em><b>On Successful Completion</b></em>' reference list.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MMActivities.html#getProbSuccess--">getProbSuccess</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Prob Success</b></em>' attribute.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MMActivities.html#getWhen--">getWhen</a></span>()</code>
<div class="block">Returns the value of the '<em><b>When</b></em>' attribute.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MMActivities.html#setBase_Action-org.eclipse.uml2.uml.Action-">setBase_Action</a></span>(org.eclipse.uml2.uml.Action&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MMActivities.html#getBase_Action--"><code><em>Base Action</em></code></a>' reference.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MMActivities.html#setBase_Activity-org.eclipse.uml2.uml.Activity-">setBase_Activity</a></span>(org.eclipse.uml2.uml.Activity&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MMActivities.html#getBase_Activity--"><code><em>Base Activity</em></code></a>' reference.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MMActivities.html#setDuration-java.lang.String-">setDuration</a></span>(java.lang.String&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MMActivities.html#getDuration--"><code><em>Duration</em></code></a>' attribute.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MMActivities.html#setProbSuccess-java.lang.String-">setProbSuccess</a></span>(java.lang.String&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MMActivities.html#getProbSuccess--"><code><em>Prob Success</em></code></a>' attribute.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MMActivities.html#setWhen-java.lang.String-">setWhen</a></span>(java.lang.String&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MMActivities.html#getWhen--"><code><em>When</em></code></a>' attribute.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EObject</h3>
<code>eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.Notifier">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.common.notify.Notifier</h3>
<code>eAdapters, eDeliver, eNotify, eSetDeliver</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getBase_Activity--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBase_Activity</h4>
<pre>org.eclipse.uml2.uml.Activity&nbsp;getBase_Activity()</pre>
<div class="block">Returns the value of the '<em><b>Base Activity</b></em>' reference.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Base Activity</em>' reference isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Base Activity</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MMActivities.html#setBase_Activity-org.eclipse.uml2.uml.Activity-"><code>setBase_Activity(Activity)</code></a>, 
<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#getMMActivities_Base_Activity--"><code>MaintenanceMonitoringPackage.getMMActivities_Base_Activity()</code></a></dd>
</dl>
</li>
</ul>
<a name="setBase_Activity-org.eclipse.uml2.uml.Activity-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBase_Activity</h4>
<pre>void&nbsp;setBase_Activity(org.eclipse.uml2.uml.Activity&nbsp;value)</pre>
<div class="block">Sets the value of the '<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MMActivities.html#getBase_Activity--"><code><em>Base Activity</em></code></a>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the new value of the '<em>Base Activity</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MMActivities.html#getBase_Activity--"><code>getBase_Activity()</code></a></dd>
</dl>
</li>
</ul>
<a name="getWhen--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getWhen</h4>
<pre>java.lang.String&nbsp;getWhen()</pre>
<div class="block">Returns the value of the '<em><b>When</b></em>' attribute.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>When</em>' attribute isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>When</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MMActivities.html#setWhen-java.lang.String-"><code>setWhen(String)</code></a>, 
<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#getMMActivities_When--"><code>MaintenanceMonitoringPackage.getMMActivities_When()</code></a></dd>
</dl>
</li>
</ul>
<a name="setWhen-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setWhen</h4>
<pre>void&nbsp;setWhen(java.lang.String&nbsp;value)</pre>
<div class="block">Sets the value of the '<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MMActivities.html#getWhen--"><code><em>When</em></code></a>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the new value of the '<em>When</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MMActivities.html#getWhen--"><code>getWhen()</code></a></dd>
</dl>
</li>
</ul>
<a name="getDuration--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDuration</h4>
<pre>java.lang.String&nbsp;getDuration()</pre>
<div class="block">Returns the value of the '<em><b>Duration</b></em>' attribute.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Duration</em>' attribute isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Duration</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MMActivities.html#setDuration-java.lang.String-"><code>setDuration(String)</code></a>, 
<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#getMMActivities_Duration--"><code>MaintenanceMonitoringPackage.getMMActivities_Duration()</code></a></dd>
</dl>
</li>
</ul>
<a name="setDuration-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDuration</h4>
<pre>void&nbsp;setDuration(java.lang.String&nbsp;value)</pre>
<div class="block">Sets the value of the '<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MMActivities.html#getDuration--"><code><em>Duration</em></code></a>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the new value of the '<em>Duration</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MMActivities.html#getDuration--"><code>getDuration()</code></a></dd>
</dl>
</li>
</ul>
<a name="getProbSuccess--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getProbSuccess</h4>
<pre>java.lang.String&nbsp;getProbSuccess()</pre>
<div class="block">Returns the value of the '<em><b>Prob Success</b></em>' attribute.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Prob Success</em>' attribute isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Prob Success</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MMActivities.html#setProbSuccess-java.lang.String-"><code>setProbSuccess(String)</code></a>, 
<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#getMMActivities_ProbSuccess--"><code>MaintenanceMonitoringPackage.getMMActivities_ProbSuccess()</code></a></dd>
</dl>
</li>
</ul>
<a name="setProbSuccess-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setProbSuccess</h4>
<pre>void&nbsp;setProbSuccess(java.lang.String&nbsp;value)</pre>
<div class="block">Sets the value of the '<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MMActivities.html#getProbSuccess--"><code><em>Prob Success</em></code></a>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the new value of the '<em>Prob Success</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MMActivities.html#getProbSuccess--"><code>getProbSuccess()</code></a></dd>
</dl>
</li>
</ul>
<a name="getOnCompletion--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOnCompletion</h4>
<pre>org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.Activity&gt;&nbsp;getOnCompletion()</pre>
<div class="block">Returns the value of the '<em><b>On Completion</b></em>' reference list.
 The list contents are of type <code>Activity</code>.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>On Completion</em>' reference list isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>On Completion</em>' reference list.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#getMMActivities_OnCompletion--"><code>MaintenanceMonitoringPackage.getMMActivities_OnCompletion()</code></a></dd>
</dl>
</li>
</ul>
<a name="getOnCompletion-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOnCompletion</h4>
<pre>org.eclipse.uml2.uml.Activity&nbsp;getOnCompletion(java.lang.String&nbsp;name)</pre>
<div class="block">Retrieves the first <code>Activity</code> with the specified '<em><b>Name</b></em>' from the '<em><b>On Completion</b></em>' reference list.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - The '<em><b>Name</b></em>' of the <code>Activity</code> to retrieve, or <code>null</code>.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The first <code>Activity</code> with the specified '<em><b>Name</b></em>', or <code>null</code>.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MMActivities.html#getOnCompletion--"><code>getOnCompletion()</code></a></dd>
</dl>
</li>
</ul>
<a name="getOnCompletion-java.lang.String-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOnCompletion</h4>
<pre>org.eclipse.uml2.uml.Activity&nbsp;getOnCompletion(java.lang.String&nbsp;name,
                                              boolean&nbsp;ignoreCase)</pre>
<div class="block">Retrieves the first <code>Activity</code> with the specified '<em><b>Name</b></em>' from the '<em><b>On Completion</b></em>' reference list.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - The '<em><b>Name</b></em>' of the <code>Activity</code> to retrieve, or <code>null</code>.</dd>
<dd><code>ignoreCase</code> - Whether to ignore case in <code>String</code> comparisons.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The first <code>Activity</code> with the specified '<em><b>Name</b></em>', or <code>null</code>.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MMActivities.html#getOnCompletion--"><code>getOnCompletion()</code></a></dd>
</dl>
</li>
</ul>
<a name="getOnSuccessfulCompletion--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOnSuccessfulCompletion</h4>
<pre>org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.Activity&gt;&nbsp;getOnSuccessfulCompletion()</pre>
<div class="block">Returns the value of the '<em><b>On Successful Completion</b></em>' reference list.
 The list contents are of type <code>Activity</code>.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>On Successful Completion</em>' reference list isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>On Successful Completion</em>' reference list.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#getMMActivities_OnSuccessfulCompletion--"><code>MaintenanceMonitoringPackage.getMMActivities_OnSuccessfulCompletion()</code></a></dd>
</dl>
</li>
</ul>
<a name="getOnSuccessfulCompletion-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOnSuccessfulCompletion</h4>
<pre>org.eclipse.uml2.uml.Activity&nbsp;getOnSuccessfulCompletion(java.lang.String&nbsp;name)</pre>
<div class="block">Retrieves the first <code>Activity</code> with the specified '<em><b>Name</b></em>' from the '<em><b>On Successful Completion</b></em>' reference list.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - The '<em><b>Name</b></em>' of the <code>Activity</code> to retrieve, or <code>null</code>.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The first <code>Activity</code> with the specified '<em><b>Name</b></em>', or <code>null</code>.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MMActivities.html#getOnSuccessfulCompletion--"><code>getOnSuccessfulCompletion()</code></a></dd>
</dl>
</li>
</ul>
<a name="getOnSuccessfulCompletion-java.lang.String-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOnSuccessfulCompletion</h4>
<pre>org.eclipse.uml2.uml.Activity&nbsp;getOnSuccessfulCompletion(java.lang.String&nbsp;name,
                                                        boolean&nbsp;ignoreCase)</pre>
<div class="block">Retrieves the first <code>Activity</code> with the specified '<em><b>Name</b></em>' from the '<em><b>On Successful Completion</b></em>' reference list.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - The '<em><b>Name</b></em>' of the <code>Activity</code> to retrieve, or <code>null</code>.</dd>
<dd><code>ignoreCase</code> - Whether to ignore case in <code>String</code> comparisons.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The first <code>Activity</code> with the specified '<em><b>Name</b></em>', or <code>null</code>.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MMActivities.html#getOnSuccessfulCompletion--"><code>getOnSuccessfulCompletion()</code></a></dd>
</dl>
</li>
</ul>
<a name="getOnFailedCompletion--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOnFailedCompletion</h4>
<pre>org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.Activity&gt;&nbsp;getOnFailedCompletion()</pre>
<div class="block">Returns the value of the '<em><b>On Failed Completion</b></em>' reference list.
 The list contents are of type <code>Activity</code>.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>On Failed Completion</em>' reference list isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>On Failed Completion</em>' reference list.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#getMMActivities_OnFailedCompletion--"><code>MaintenanceMonitoringPackage.getMMActivities_OnFailedCompletion()</code></a></dd>
</dl>
</li>
</ul>
<a name="getOnFailedCompletion-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOnFailedCompletion</h4>
<pre>org.eclipse.uml2.uml.Activity&nbsp;getOnFailedCompletion(java.lang.String&nbsp;name)</pre>
<div class="block">Retrieves the first <code>Activity</code> with the specified '<em><b>Name</b></em>' from the '<em><b>On Failed Completion</b></em>' reference list.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - The '<em><b>Name</b></em>' of the <code>Activity</code> to retrieve, or <code>null</code>.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The first <code>Activity</code> with the specified '<em><b>Name</b></em>', or <code>null</code>.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MMActivities.html#getOnFailedCompletion--"><code>getOnFailedCompletion()</code></a></dd>
</dl>
</li>
</ul>
<a name="getOnFailedCompletion-java.lang.String-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOnFailedCompletion</h4>
<pre>org.eclipse.uml2.uml.Activity&nbsp;getOnFailedCompletion(java.lang.String&nbsp;name,
                                                    boolean&nbsp;ignoreCase)</pre>
<div class="block">Retrieves the first <code>Activity</code> with the specified '<em><b>Name</b></em>' from the '<em><b>On Failed Completion</b></em>' reference list.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - The '<em><b>Name</b></em>' of the <code>Activity</code> to retrieve, or <code>null</code>.</dd>
<dd><code>ignoreCase</code> - Whether to ignore case in <code>String</code> comparisons.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The first <code>Activity</code> with the specified '<em><b>Name</b></em>', or <code>null</code>.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MMActivities.html#getOnFailedCompletion--"><code>getOnFailedCompletion()</code></a></dd>
</dl>
</li>
</ul>
<a name="getBase_Action--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBase_Action</h4>
<pre>org.eclipse.uml2.uml.Action&nbsp;getBase_Action()</pre>
<div class="block">Returns the value of the '<em><b>Base Action</b></em>' reference.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Base Action</em>' reference isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Base Action</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MMActivities.html#setBase_Action-org.eclipse.uml2.uml.Action-"><code>setBase_Action(Action)</code></a>, 
<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#getMMActivities_Base_Action--"><code>MaintenanceMonitoringPackage.getMMActivities_Base_Action()</code></a></dd>
</dl>
</li>
</ul>
<a name="setBase_Action-org.eclipse.uml2.uml.Action-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setBase_Action</h4>
<pre>void&nbsp;setBase_Action(org.eclipse.uml2.uml.Action&nbsp;value)</pre>
<div class="block">Sets the value of the '<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MMActivities.html#getBase_Action--"><code><em>Base Action</em></code></a>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the new value of the '<em>Base Action</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MMActivities.html#getBase_Action--"><code>getBase_Action()</code></a></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/MMActivities.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.Literals.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.MaintenanceMonitoring"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/Repair.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.MaintenanceMonitoring"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MMActivities.html" target="_top">Frames</a></li>
<li><a href="MMActivities.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
